Subject: bug#29826: closed (Re: bug#34209: guix --version: ERROR: In procedure display: In procedure fport_write: Broken pipe)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Jun 2025 11:50:11 +0000

Your bug report

#34209: nondeterministic Broken pipe

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34209: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=34209
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34209: guix --version: ERROR: In procedure display: In procedure fport_write: Broken pipe
From: Simon Tournier <[email-masked]>
To: Pierre Neidhardt <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jun 2025 12:15:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Sat, 26 Jan 2019 at 17:31, Pierre Neidhardt <[email-masked]> wrote:

> $ guix --version | awk '{print $4; exit}'
> Backtrace:
>            5 (primitive-load "/home/ambrevar/.config/guix/current/bin/guix")
> In guix/ui.scm:
>     464:2  4 (show-version-and-exit _)
> In ice-9/format.scm:
>   1590:19  3 (format #t "Copyright ~a 2019 ~a" "(C)" "the Guix authors\n")
>    261:19  2 (format:format-work "Copyright ~a 2019 ~a" ("(C)" "the Guix authors\n"))
>     70:10  1 (format:out-obj-padded _ _ _ _)
> In unknown file:
>            0 (display "the Guix authors\n" #<output: file 1>)
>
> ERROR: In procedure display:
> In procedure fport_write: Broken pipe

Now it’s fixed.

--8<---------------cut here---------------start------------->8---
$ guix --version | awk '{print $4; exit}'
b17268b53e9fb1b1ac2ad29fe7633b52744fee2f
--8<---------------cut here---------------end--------------->8---

Therefore, closing this old bug:

    https://issues.guix.gnu.org/issue/34209

Feel free to reopen if I’m missing something.

Cheers,
simon

Subject: nondeterministic Broken pipe
From: Alex Vong <[email-masked]>
To: [email-masked]
Date: Sun, 24 Dec 2017 04:23:44 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I get the following error when running ``guix --version | head -n 1''. I
can get similar after replacing ``--version'' with ``--help''. Also, the
error is nondeterministic. Any idea?

$ LC_ALL=C guix --version | head -n 1
guix (GNU Guix) 91213c384b62bc422896d39005efa922e4fa75f2
Backtrace:
In ice-9/boot-9.scm:
 160: 14 [catch #t #<catch-closure 5628460c6140> ...]
In unknown file:
   ?: 13 [apply-smob/1 #<catch-closure 5628460c6140>]
In ice-9/boot-9.scm:
  66: 12 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 11 [eval # #]
In ice-9/boot-9.scm:
2404: 10 [save-module-excursion #<procedure 5628460e8900 at ice-9/boot-9.scm:4051:3 ()>]
4056: 9 [#<procedure 5628460e8900 at ice-9/boot-9.scm:4051:3 ()>]
1727: 8 [%start-stack load-stack ...]
1732: 7 [#<procedure 5628460fdb40 ()>]
In unknown file:
   ?: 6 [primitive-load "/usr/local/bin/guix"]
In guix/ui.scm:
 390: 5 [show-version-and-exit "guix"]
In ice-9/format.scm:
1593: 4 [format #t "Copyright ~a 2017 ~a" "(C)" "the Guix authors\n"]
 766: 3 [format:format-work "Copyright ~a 2017 ~a" ("(C)" "the Guix authors\n")]
 264: 2 [tilde-dispatch]
  73: 1 [format:out-obj-padded #f "the Guix authors\n" #f ()]
In unknown file:
   ?: 0 [display "the Guix authors\n" #<output: file 1>]

ERROR: In procedure display:
ERROR: In procedure scm_flush: Broken pipe
Backtrace:
In ice-9/boot-9.scm:
 160: 1 [catch #t #<catch-closure 562846cd3020> ...]
In unknown file:
   ?: 0 [apply-smob/1 #<catch-closure 562846cd3020>]

ERROR: In procedure apply-smob/1:
ERROR: In procedure scm_flush: Broken pipe

Cheers,
Alex